# Class palError

java.lang.Object
java.lang.Throwable
java.lang.Exception
uk.ac.starlink.pal.palError

All Implemented Interfaces:
  `Serializable`

public class palError extends Exception
Class for Pal exceptions

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`palError(int status, String mess)`
Create a new Pal exceptions
`palError(String mess)`
Create a new Pal exceptions, with zero status

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Get the Pal exceptions as a string

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### palError

public palError(int status, String mess)
Create a new Pal exceptions

Parameters:
  `status` - Exception number
  `mess` - Exception message

### palError

public palError(String mess)
Create a new Pal exceptions, with zero status

Parameters:
  `mess` - Exception message

## Method Details

### toString

public String toString()
Get the Pal exceptions as a string

Overrides:
  `toString` in class `Throwable`
Returns:
  The Exception number and message